Clone Flow
post
/rpa/v1/flows/{identifier}/{version}/actions/clone
Clone or copy an existing flow.
Request
Path Parameters
-
identifier(required): string
Identifier.
-
version(required): string
Version identifier.
Header Parameters
-
opc-retry-token: string
Minimum Length:
1Maximum Length:64A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectThe information about targeting new flow
Show Source
-
description: string
Minimum Length:
0Maximum Length:1024The description of the targeting flow. -
displayName(required): string
The display name of targeting flow
-
identifier(required): string
The identifier of targeting flow
-
keywords: string
Minimum Length:
0Maximum Length:1024The keywords of the targeting flow. -
projectId(required): string
The identifier of the project
-
selfHealRecommendationIds: array
selfHealRecommendationIds
array of self heal recommendation ids required for flow designtime data correction when creating new version
-
version(required): string
Minimum Length:
1Maximum Length:255The version of targeting flow which requires Semantic Versioning.
Nested Schema : selfHealRecommendationIds
Type:
arrayarray of self heal recommendation ids required for flow designtime data correction when creating new version
Show Source
-
Array of:
string
self heal reco id string
Response
202 Response
Accepted the request. The cloned Flow will be created.
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
-
opc-work-request-id:
Unique Oracle-assigned identifier for the asynchronous work. You can use this to query its status.
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
409 Response
Conflict
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.